%define upstream_name    Number-Natural-SetTheory
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Set-theoretic definition of natural numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(boolean)
BuildArch:  noarch

%description
For years mathematicians struggled to answer what numbers exactly *are*. A
satisfactory answer came out of the world of set theory. Because Perl
doesn't have sets as a first class data type, we use arrays instead. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 513688
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 371010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.3.0-1.mga3
+ Revision: 330260
- update to 0.003

* Sat Dec 03 2011 kharec <kharec> 0.2.0-1.mga2
+ Revision: 175535
- update to 0.002

* Sat Dec 03 2011 kharec <kharec> 0.1.0-1.mga2
+ Revision: 175412
- Add BR on perl(boolean)
- imported package perl-Number-Natural-SetTheory


* Sat Dec 03 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
